/* Gribouy : A type1 font editor
 * Copyright (C) 2003  David BOUCHER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef __GRIBOUY_ART_H__
#define __GRIBOUY_ART_H__

#include <gdk/gdk.h>
#include <gtk/gtkobject.h>

enum {
	HSTEM,
	VSTEM,
	VMOVETO,
	RLINETO,
	HLINETO,
	VLINETO,
	RRCURVETO,
	CLOSEPATH,
	CALLSUBR,
	RETURN,
	VSTEM3,
	HSTEM3,
	SBW,
	CALLOTHERSUBR,
	POP,
	SETCURRENTPOINT,
	HSBW,
	ENDCHAR,
	RMOVETO,
	HMOVETO,
	VHCURVETO,
	HVCURVETO
};

typedef struct _GribouyArt GribouyArt;

struct _GribouyArt {
	int code;
	int nb[6];
};

void gribouy_art_free (gpointer lst);

#endif
