/* Gribouy : A type1 font editor
 * Copyright (C) 2003  David BOUCHER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __GRIBOUY_DIALOG_H__
#define __GRIBOUY_DIALOG_H__

#include <gnome.h>
#include <glade/glade.h>

#include "gribouy-letter-window.h"
#include "gribouy-bg.h"

#define GLADE_FILE PACKAGE_DATA_UI"/gribouy.glade"
#define GLADE_FILE1 "../ui/gribouy.glade"

GtkWidget *gribouy_grid_dialog_new (GribouyLetterWindow *letter_window);
GtkWidget *gribouy_bg_transfer_new (GribouyObject *bg);

#endif
